aboutsummaryrefslogtreecommitdiffstats
path: root/testing/audacious/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/audacious/APKBUILD')
-rw-r--r--testing/audacious/APKBUILD52
1 files changed, 52 insertions, 0 deletions
diff --git a/testing/audacious/APKBUILD b/testing/audacious/APKBUILD
new file mode 100644
index 0000000000..d503bec5d0
--- /dev/null
+++ b/testing/audacious/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=audacious
+pkgver=2.4.2
+pkgrel=0
+pkgdesc="playlist-oriented media player with multiple interfaces"
+url="http://audacious-media-player.org/"
+arch="all"
+license="ISC"
+depends=
+makedepends="libmowgli-dev libmcs-dev libguess-dev gtk+-dev dbus-glib-dev libxml2-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://distfiles.atheme.org/$pkgname-$pkgver.tgz
+ uclibc-execinfo.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+
+ for i in $source; do
+ case $i in
+ *.patch)
+ msg "Applying $i..."
+ patch -s -p1 -N -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-chardet
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+
+ # bleah...
+ mkdir $pkgdir/usr/bin
+
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="bffdee15653595a7e9126246dee444e5 audacious-2.4.2.tgz
+b200db2ce2f3949deb4fdfa98f0b193d uclibc-execinfo.patch"